\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - STL Extensions for CGAL

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Random_access_value_adaptor< IC, T > Class Template Reference
Iterators and Iterator/Circulator Adaptors

`#include <CGAL/iterator.h>`

## Definition

The class `Random_access_value_adaptor` provides a random access for data structures.

It is derived from `Random_access_adaptor<IC>`. Instead of returning iterators from the `operator[]` methods, it returns the dereferenced value of the iterator. The iterator or circulator of the data structure are of type `IC`. Their value type is `T`.

See Also
  `CGAL::Inverse_index<IC>`
  `CGAL::Random_access_adaptor<IC>`

## Operations
Creation and operations see `Random_access_adaptor<IC>`, with the exception of:
T & | operator[] (size_type n)
| returns a reference to the `n`-th item. More...

## Member Function Documentation

template<typename IC , typename T >

T& CGAL::Random_access_value_adaptor< IC, T >::operator[] | ( | size_type | n) |  |

returns a reference to the `n`-th item.

Precondition
  `n <` number of items in the data-structure.